/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EVENTOESP                                                */
/* Tabela : EVENTOESP                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 19/08/2009 - Tarcsio Dias Pereira                                         */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_EVENTOESP
BEFORE INSERT OR UPDATE OR DELETE
ON EVENTOESP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDEVENTOESP,0) <> NVL(:NEW.CDEVENTOESP,0)) OR
         (NVL(:OLD.NMEVENTOESP,0) <> NVL(:NEW.NMEVENTOESP,0)) OR
         (NVL(:OLD.DTEVENTOESP,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTEVENTOESP,TO_DATE('31/12/1899','DD/MM/YYYY'))) THEN
	:NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('EVENTOESP', '', 'CDEVENTOESP ='||:OLD.CDEVENTOESP||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE EVENTOESP MODIFY DTULTATU DEFAULT SYSDATE;
/ 